javax.faces.component.html

## Enum HtmlInputText.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlInputText.PropertyKeys>
  - - javax.faces.component.html.HtmlInputText.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputText.PropertyKeys>
  Enclosing class:
    HtmlInputText

      protected static enum HtmlInputText.PropertyKeys
      extends Enum<HtmlInputText.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `alt`
    `autocomplete`
    `dir`
    `disabled`
    `label`
    `lang`
    `maxlength`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlInputText.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputText.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputText.PropertyKeys accesskey

    - #### alt

          public static final HtmlInputText.PropertyKeys alt

    - #### autocomplete

          public static final HtmlInputText.PropertyKeys autocomplete

    - #### dir

          public static final HtmlInputText.PropertyKeys dir

    - #### disabled

          public static final HtmlInputText.PropertyKeys disabled

    - #### label

          public static final HtmlInputText.PropertyKeys label

    - #### lang

          public static final HtmlInputText.PropertyKeys lang

    - #### maxlength

          public static final HtmlInputText.PropertyKeys maxlength

    - #### onblur

          public static final HtmlInputText.PropertyKeys onblur

    - #### onchange

          public static final HtmlInputText.PropertyKeys onchange

    - #### onclick

          public static final HtmlInputText.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlInputText.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlInputText.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlInputText.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlInputText.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlInputText.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlInputText.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlInputText.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlInputText.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlInputText.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlInputText.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlInputText.PropertyKeys onselect

    - #### readonly

          public static final HtmlInputText.PropertyKeys readonly

    - #### role

          public static final HtmlInputText.PropertyKeys role

    - #### size

          public static final HtmlInputText.PropertyKeys size

    - #### style

          public static final HtmlInputText.PropertyKeys style

    - #### styleClass

          public static final HtmlInputText.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlInputText.PropertyKeys tabindex

    - #### title

          public static final HtmlInputText.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlInputText.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputText.PropertyKeys c : HtmlInputText.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputText.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlInputText.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.